GetSavedSearch
curl --request GET \
--url https://api.siftstack.com/api/v1/saved_searches/{savedSearchId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/saved_searches/{savedSearchId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/saved_searches/{savedSearchId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"savedSearch": {
"savedSearchId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"properties": {
"overviewMode": "<string>",
"searchTerm": "<string>",
"fromDateTime": "2023-11-07T05:31:56Z",
"toDateTime": "2023-11-07T05:31:56Z",
"assetItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"userItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"tagItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"annotationItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"runItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"reportTemplateItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"showAdvancedFilters": true,
"includeArchived": true,
"orderBy": "<string>",
"metadataItems": [
{
"key": "<string>",
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true
}
],
"duration": "<string>"
},
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}SavedSearchService
GetSavedSearch
Retrieve a saved search.
GET
/
api
/
v1
/
saved_searches
/
{savedSearchId}
GetSavedSearch
curl --request GET \
--url https://api.siftstack.com/api/v1/saved_searches/{savedSearchId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/saved_searches/{savedSearchId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/saved_searches/{savedSearchId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"savedSearch": {
"savedSearchId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"properties": {
"overviewMode": "<string>",
"searchTerm": "<string>",
"fromDateTime": "2023-11-07T05:31:56Z",
"toDateTime": "2023-11-07T05:31:56Z",
"assetItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"userItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"tagItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"annotationItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"runItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"reportTemplateItems": [
{
"id": "<string>",
"name": "<string>"
}
],
"showAdvancedFilters": true,
"includeArchived": true,
"orderBy": "<string>",
"metadataItems": [
{
"key": "<string>",
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true
}
],
"duration": "<string>"
},
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
The response of a call to SavedSearchService_GetSavedSearch.
Show child attributes
Show child attributes
Was this page helpful?
⌘I